# Copyright (C) 2016-2023 RhodeCode GmbH
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License, version 3
# (only), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# This program is dual-licensed. If you wish to learn more about the
# RhodeCode Enterprise Edition, including its added features, Support services,
# and proprietary license terms, please see https://rhodecode.com/licenses/

import logging


def setup_custom_logging(ini_path, debug):
    if debug:
        from pyramid.paster import setup_logging  # Lazy import
        # enabled rhodecode.ini controlled logging setup
        setup_logging(ini_path)
    else:
        # configure logging in a mode that doesn't print anything.
        # in case of regularly configured logging it gets printed out back
        # to the client doing an SSH command.
        logger = logging.getLogger('')
        null = logging.NullHandler()
        # add the handler to the root logger
        logger.handlers = [null]
